using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace parkMonitor.LOG
{
    public static class Log
    {
        private static LogManager logManager;
        static Log()
        {
            logManager = new LogManager();
        }

        public static void WriteLog(LogFile logFile, string msg)
        {
            try
            {
                logManager.WriteLog(logFile, msg);
            }
            catch
            {

            }
        }

        public static void WriteLog(string msg)
        {  
            try
            {
                logManager.WriteLog(LogFile.INFO, msg);
            }
            catch
            {

            }
        }

        public static void WriteLog(string logFile, string msg)
        {
            try
            {
                logManager.WriteLog(logFile, msg);
            }
            catch
            {

            }
        }
    }
}
